classification
Title: test_distutils fails on Android API level 24
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: dstufft, eric.araujo, xdegaye
Priority: normal Keywords: patch

Created on 2017-01-06 21:18 by xdegaye, last changed 2017-11-18 17:18 by xdegaye. This issue is now closed.

Files
File name Uploaded Description Edit
test_distutils.patch xdegaye, 2017-01-07 15:37 review
test_distutils_2.patch xdegaye, 2017-01-12 12:26 review
test_distutils_3.patch xdegaye, 2017-01-12 13:31 review
Pull Requests
URL Status Linked Edit
PR 4438 merged xdegaye, 2017-11-17 09:34
Messages (5)
msg284850 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2017-01-06 21:18
======================================================================
ERROR: test_tarfile_vs_tar (distutils.tests.test_archive_util.ArchiveUtilTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/sdcard/org.bitbucket.pyona/lib/python3.7/distutils/tests/test_archive_util.py", line 170, i
n test_tarfile_vs_tar
    spawn(gzip_cmd)
  File "/sdcard/org.bitbucket.pyona/lib/python3.7/distutils/spawn.py", line 36, in spawn
    _spawn_posix(cmd, search_path, dry_run=dry_run)
  File "/sdcard/org.bitbucket.pyona/lib/python3.7/distutils/spawn.py", line 159, in _spawn_posix
    % (cmd, exit_status))
distutils.errors.DistutilsExecError: command 'gzip' failed with exit status 1

======================================================================
FAIL: test_copy_file_hard_link (distutils.tests.test_file_util.FileUtilTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/sdcard/org.bitbucket.pyona/lib/python3.7/distutils/tests/test_file_util.py", line 88, in te
st_copy_file_hard_link
    self.assertTrue(os.path.samestat(st2, st3), (st2, st3))
AssertionError: False is not true : (os.stat_result(st_mode=33206, st_ino=15948, st_dev=64800, st_nl
ink=1, st_uid=2000, st_gid=2000, st_size=12, st_atime=1483691935, st_mtime=1483691935, st_ctime=1483
691935), os.stat_result(st_mode=33206, st_ino=15949, st_dev=64800, st_nlink=1, st_uid=2000, st_gid=2
000, st_size=12, st_atime=1483691935, st_mtime=1483691935, st_ctime=1483691935))

----------------------------------------------------------------------
Ran 236 tests in 1.885s

FAILED (failures=1, errors=1, skipped=38)
test test_distutils failed
msg284921 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2017-01-07 15:37
Patch attached.
msg285315 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2017-01-12 12:26
This new patch skips the second test when hard links fail on the platform under test.
msg285324 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2017-01-12 13:31
can_symlink() is needed by test_posixpath and other tests, new patch.
msg306486 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2017-11-18 17:17
New changeset d34d8fc24f23ccff5de03c9277da5acbbdc30e90 by xdegaye in branch 'master':
bpo-29185: Fix `test_distutils` failures on Android (GH-4438)
https://github.com/python/cpython/commit/d34d8fc24f23ccff5de03c9277da5acbbdc30e90
History
Date User Action Args
2017-11-18 17:18:41xdegayesetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-11-18 17:17:18xdegayesetmessages: + msg306486
2017-11-17 09:34:14xdegayesetpull_requests: + pull_request4380
2017-11-13 15:16:44xdegayesetversions: - Python 3.6
2017-02-03 18:45:12xdegayesetassignee: xdegaye ->
2017-01-12 13:31:39xdegayesetfiles: + test_distutils_3.patch

messages: + msg285324
2017-01-12 12:26:11xdegayesetfiles: + test_distutils_2.patch

messages: + msg285315
2017-01-07 15:37:24xdegayesetfiles: + test_distutils.patch
keywords: + patch
messages: + msg284921

stage: needs patch -> patch review
2017-01-06 21:30:19xdegayelinkissue26865 dependencies
2017-01-06 21:18:27xdegayecreate